Create speech

Create speech

post

Generate speech from provided text.

Authorizations
AuthorizationstringRequired

Your ShortGenius API token

Body
textstringRequired

The text to generate speech from.

localestring · enumOptional

The locale of the text.

Default: autoPossible values:
voice_idstringRequired

The voice to use for speech generation. See the List voices endpoint.

wait_for_generationbooleanOptional

If false, this endpoint immediately returns the incomplete speech record, and you can poll the Get speech endpoint until the task completes. If true, this endpoint waits until the speech generation completes, then returns the complete speech record. Defaults to false.

Default: false
Responses
chevron-right
200

Successful response

application/json

Details about the created or retrieved audio media.

idstring · uuidRequired

Unique ID of the audio.

created_atstringRequired

Date and time (ISO 8601) when the audio media was created.

updated_atstring · nullableOptional

Date and time (ISO 8601) when the audio media was last updated.

urlstring · nullableRequired

URL of the audio. Only available after the audio is generated.

user_idstring · uuidRequired

ID of the user who generated the audio.

categorystring · enumRequired

Category of the audio.

Possible values:
statestring · enumRequired

State of the audio generation.

Possible values:
textstring · nullableOptional

Source text of the audio.

localestring,null · enum · nullableOptional

Locale of the audio to guide the AI. Auto-detected if not provided.

Possible values:
durationnumber · nullableOptional

Duration of the generated audio. Only available after the audio is generated.

lufsnumber · nullableOptional

Loudness normalization value in LUFS. Only available after the audio is generated.

post
/audio/speech

Last updated